MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028537Open CASCADE[OCCT] OCCT:Testspublic2017-03-13 13:172017-09-29 16:24
Reporterabk 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028537: Extend 'Draw' procedure 'checkprops' to specify the relative precision to compare corresponding values
DescriptionCreate an option for 'Draw' procedure 'checkprops' to set the relative precision to compare corresponding values.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0064269)
git (administrator)
2017-03-13 14:19

Branch CR28537 has been created by abk.

SHA-1: 742c5b9bb06067c1a60bd3a970974de8ddd4a7fa


Detailed log of new commits:

Author: abk
Date: Mon Mar 13 13:28:32 2017 +0300

    0028537: Extend 'Draw' procedure 'checkprops' to specify the relative precision to compare corresponding values
    
    'Draw' procedure 'checkprops' was extended by an option to set the relative precision to compare corresponding values.
(0064270)
abk (developer)
2017-03-13 14:22

Please review.
(0064310)
apn (administrator)
2017-03-14 14:25

Reviewed.
(0064375)
apv (tester)
2017-03-16 13:06

Dear BugMaster,

Branch CR28537 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 742c5b9bb06067c1a60bd3a970974de8ddd4a7fa

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1179

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92905767 / 92370122 [+0.58%]
Total CPU difference: 20106.830000000125 / 19841.150000000398 [+1.34%]

Testing on Windows:
Total MEMORY difference: 57670132 / 57663643 [+0.01%]
Total CPU difference: 18574.430666098593 / 18635.5206576986 [-0.33%]
(0064448)
git (administrator)
2017-03-20 14:32

Branch CR28537 has been deleted by inv.

SHA-1: 742c5b9bb06067c1a60bd3a970974de8ddd4a7fa

- Related Changesets
occt: master 4d597f3e
Timestamp: 2017-03-13 10:28:32
Author: abk
Committer: bugmaster
Details ] Diff ]
0028537: Extend 'Draw' procedure 'checkprops' to specify the relative precision to compare corresponding values

'Draw' procedure 'checkprops' was extended by an option to set the relative precision to compare corresponding values.
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/CheckCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-13 13:17 abk New Issue
2017-03-13 13:17 abk Assigned To => apn
2017-03-13 13:17 abk Assigned To apn => abk
2017-03-13 13:17 abk Status new => assigned
2017-03-13 14:19 git Note Added: 0064269
2017-03-13 14:22 abk Note Added: 0064270
2017-03-13 14:22 abk Assigned To abk => apn
2017-03-13 14:22 abk Status assigned => resolved
2017-03-13 14:22 abk Steps to Reproduce Updated View Revisions
2017-03-13 14:22 abk Relationship added child of 0027767
2017-03-14 14:25 apn Test case number => Not needed
2017-03-14 14:25 apn Note Added: 0064310
2017-03-14 14:25 apn Assigned To apn => bugmaster
2017-03-14 14:25 apn Status resolved => reviewed
2017-03-15 17:05 apv Assigned To bugmaster => apv
2017-03-16 13:06 apv Note Added: 0064375
2017-03-16 13:06 apv Assigned To apv => bugmaster
2017-03-16 13:06 apv Status reviewed => tested
2017-03-17 14:28 bugmaster Changeset attached => occt master 4d597f3e
2017-03-17 14:28 bugmaster Status tested => verified
2017-03-17 14:28 bugmaster Resolution open => fixed
2017-03-20 14:32 git Note Added: 0064448
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker